List Labeling Tasks
List tasks in a labeling project.
Path Parameters
project_id*string
Format
uuidQuery Parameters
status?|
Filter by task status
assignee_id?|
Filter by assignee
lane?|
Filter by lane: 'task' or 'review'
limit?integer
Maximum number of tasks to return
Default
50Range
0 < value <= 100cursor?|
Cursor for pagination
Header Parameters
x-workspace-id?|
Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).
Response Body
application/json
application/json
curl -X GET "https://loading/v1/labeling-projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks"{
"next_page_cursor": "string",
"query": {},
"has_more": true,
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
"conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
"assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",
"status": "string",
"source_task_id": "b35bfd1f-7440-4b82-b05a-344d469d1482",
"source_task_assignee_id": "a2c31179-b79d-41eb-bc4a-8b35b2f8c675",
"review_task_id": "cae9ccc1-1713-4d0c-9fc6-25bc9eec33e9",
"sequence_number": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"submitted_at": "2019-08-24T14:15:22Z",
"active_duration_seconds": 0,
"annotation_count": 0
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}